/**********************************
 * Notes theme for notebook
 * Petri Salmela <pesasa@iki.fi>
 * 1.12.2015
 **********************************/
[data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea {
  font-family: Helvetica, sans-serif;
  padding: 0; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .notebook-pagetitle {
    background: white url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAGQAAABkCAYAAABw4pVUAAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAXEAAAFxAGbebUAAAAAB3RJTUUH3wwBCB0KQ1pahAAAARBJREFUeNrt2zFuwzAURMG1QCWAocKty9z/UCldSoViOKLM5AxJIwKed4IFp2D1T5/L1880Djmy273meh5ffsNaW8o0Drm8lUOHzNvThiTJniHqKiBABASIgAARECACAkRABASIgAARECACAkRABASIgAARECACAkRABKT/yu1eM2/PQ0fM3/Xwh+hhw2NvKdfz2MGhSvIxvb/8hmVzsOMPERAgAgJEQIAICBBPAERAgAgIEAEBIiBABERAgAgIEAEBIiBABERAgOjPOdjpaIODnc42ONjxhwgIEAEBIiBABERAgAgIEAEBIiBABASIgAgIEAEBIiBABASIgAgIEP2jstaWZD90xGNvWTYb1tryCyKRS1IRTUfeAAAAAElFTkSuQmCC) left top repeat;
    color: #D31C38;
    max-width: none;
    border-bottom: 4px solid #14176F;
    padding: 1.2em 0 0.2em;
    margin-bottom: 2em; }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .notebook-pagetitle h1 {
      max-width: 29em;
      margin: 0 auto;
      font-family: Comic Sans MS, sans-serif; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .markdownelement {
    line-height: 1.7em; }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .markdownelement blockquote {
      border-left: 8px solid #D31C38;
      margin-left: 1em;
      padding: 0.4em 2em;
      font-style: italic;
      background: #eee; }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .markdownelement h1 {
      font-size: 200%; }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .markdownelement h2 {
      font-size: 150%; }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .markdownelement h3 {
      font-size: 118%; }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .markdownelement a:link, [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .markdownelement a:visited {
      color: #14176F;
      font-weight: normal; }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .markdownelement a:visited {
      color: #2B2399; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper.imageelement-wrapper[data-alignment="right"] [data-elementmode="view"] figure {
    margin: 1em;
    padding: 1em;
    /*border-left: 6px solid $ink-color;*/ }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper.imageelement-wrapper[data-alignment="left"] [data-elementmode="view"] figure {
    margin: 1em;
    padding: 1em;
    /*border-right: 6px solid $ink-color;*/ }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-elementmode="view"] {
    margin: 2em 4em; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea [data-alignment] .ebook-elementbox[data-elementmode="view"] {
    margin: 0; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper[data-alignment="right"] .ebook-elementbox[data-elementmode="view"] {
    margin: 1em;
    padding: 1em;
    /*border-left: 6px solid $ink-color;*/ }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper[data-alignment="left"] .ebook-elementbox[data-elementmode="view"] {
    margin: 1em;
    padding: 1em;
    /*border-right: 6px solid $ink-color;*/ }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-elementmode="view"][data-boxclass="elementbox"] {
    background-color: transparent;
    border: none;
    box-shadow: none;
    margin: 2em 4em; }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-elementmode="view"][data-boxclass="elementbox"] > h1.ebook-elementbox-title {
      font-size: 120%;
      background-color: transparent;
      color: #2B2399;
      padding: 0 0.8em;
      text-decoration: underline; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="theorybox"], [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="examplebox"], [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="definitionbox"] {
    background-color: #FFE680;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#ffff88+0,ffffb2+50,ffff88+100 */
    background: #ffff88;
    /* Old browsers */
    background: -moz-linear-gradient(left, #ffff88 0%, #ffffb2 50%, #ffff88 100%);
    /* FF3.6-15 */
    background: -webkit-linear-gradient(left, #ffff88 0%, #ffffb2 50%, #ffff88 100%);
    /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to right, #ffff88 0%, #ffffb2 50%, #ffff88 100%);
    /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffff88', endColorstr='#ffff88',GradientType=1 );
    /* IE6-9 */
    border: 1px solid #fd0;
    border-radius: 0;
    box-shadow: none;
    color: #2B2399;
    position: relative;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.3); }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="theorybox"] > h1.ebook-elementbox-title, [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="examplebox"] > h1.ebook-elementbox-title, [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="definitionbox"] > h1.ebook-elementbox-title {
      font-size: 120%;
      font-family: Comic Sans MS, sans-serif;
      background-color: transparent;
      border: none;
      color: #D31C38;
      text-decoration: underline; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="theorybox"]::after, [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="examplebox"]::after, [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="definitionbox"]::after {
    display: block;
    clear: both; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="examplebox"] {
    background: white url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAGQAAABkCAYAAABw4pVUAAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAXEAAAFxAGbebUAAAAAB3RJTUUH3wwBCB0KQ1pahAAAARBJREFUeNrt2zFuwzAURMG1QCWAocKty9z/UCldSoViOKLM5AxJIwKed4IFp2D1T5/L1880Djmy273meh5ffsNaW8o0Drm8lUOHzNvThiTJniHqKiBABASIgAARECACAkRABASIgAARECACAkRABASIgAARECACAkRABKT/yu1eM2/PQ0fM3/Xwh+hhw2NvKdfz2MGhSvIxvb/8hmVzsOMPERAgAgJEQIAICBBPAERAgAgIEAEBIiBABERAgAgIEAEBIiBABERAgOjPOdjpaIODnc42ONjxhwgIEAEBIiBABERAgAgIEAEBIiBABASIgAgIEAEBIiBABASIgAgIEP2jstaWZD90xGNvWTYb1tryCyKRS1IRTUfeAAAAAElFTkSuQmCC) left top repeat;
    color: #2B2399;
    border: 1px solid #C9E3F9; }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="examplebox"] > h1.ebook-elementbox-title {
      background-color: transparent;
      border: none;
      color: #14176F; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="definitionbox"] {
    background: white url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAGQAAABkCAYAAABw4pVUAAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAXEAAAFxAGbebUAAAAAB3RJTUUH3wwBCB0KQ1pahAAAARBJREFUeNrt2zFuwzAURMG1QCWAocKty9z/UCldSoViOKLM5AxJIwKed4IFp2D1T5/L1880Djmy273meh5ffsNaW8o0Drm8lUOHzNvThiTJniHqKiBABASIgAARECACAkRABASIgAARECACAkRABASIgAARECACAkRABKT/yu1eM2/PQ0fM3/Xwh+hhw2NvKdfz2MGhSvIxvb/8hmVzsOMPERAgAgJEQIAICBBPAERAgAgIEAEBIiBABERAgAgIEAEBIiBABERAgOjPOdjpaIODnc42ONjxhwgIEAEBIiBABERAgAgIEAEBIiBABASIgAgIEAEBIiBABASIgAgIEP2jstaWZD90xGNvWTYb1tryCyKRS1IRTUfeAAAAAElFTkSuQmCC) left top repeat;
    color: #2B2399;
    border: 1px solid #C9E3F9; }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-elementbox[data-boxclass="definitionbox"] > h1.ebook-elementbox-title {
      background-color: transparent;
      border: none;
      color: #D31C38; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper > .sdeditorwrapper,
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper > [data-ebookelement-type="emeqnarray"] {
    margin: 0 2em; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .sdeditorwrapper, [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .emathequationarraybox {
    padding: 1em;
    background: white url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAGQAAABkCAYAAABw4pVUAAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAXEAAAFxAGbebUAAAAAB3RJTUUH3wwBCB0KQ1pahAAAARBJREFUeNrt2zFuwzAURMG1QCWAocKty9z/UCldSoViOKLM5AxJIwKed4IFp2D1T5/L1880Djmy273meh5ffsNaW8o0Drm8lUOHzNvThiTJniHqKiBABASIgAARECACAkRABASIgAARECACAkRABASIgAARECACAkRABKT/yu1eM2/PQ0fM3/Xwh+hhw2NvKdfz2MGhSvIxvb/8hmVzsOMPERAgAgJEQIAICBBPAERAgAgIEAEBIiBABERAgAgIEAEBIiBABERAgOjPOdjpaIODnc42ONjxhwgIEAEBIiBABERAgAgIEAEBIiBABASIgAgIEAEBIiBABASIgAgIEP2jstaWZD90xGNvWTYb1tryCyKRS1IRTUfeAAAAAElFTkSuQmCC) left top repeat;
    border: 1px solid #C9E3F9;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3); }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .codeelement[data-elementmode="view"] {
    border: 1px solid #2B2399; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-pageelement > .ebook-elementset-body > .elementset-elementwrapper > .codeelement[data-elementmode="view"] {
    margin: 1em 3em; }
  [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-assignment[data-elementmode="view"] {
    border: 1px dashed #2B2399;
    background-color: #C9E3F9; }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-assignment[data-elementmode="view"] .elementset-assignment-level svg.mini-icon-star {
      fill: #D31C38; }
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-assignment[data-elementmode="view"] [data-ebookelement-type="multichoice"] > .multichoice-answerarea,
    [data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea .ebook-assignment[data-elementmode="view"] [data-ebookelement-type="shortanswer"] > .shortanswer-answerarea {
      border-left: 5px solid #D31C38; }

/**** Subsection ***********/
[data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea[data-pagelevel] .notebook-pagetitle h1 {
  font-size: 150%;
  max-width: 38em; }

/**** Frontpage ***********/
[data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea[data-pagelevel="0"] .notebook-pagetitle h1 {
  font-size: 300%;
  max-width: 20em; }

/**** Chapter ***********/
[data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea[data-pagelevel="1"] .notebook-pagetitle h1 {
  font-size: 220%;
  max-width: 27em; }

/**** Section ***********/
[data-nbtheme="notes"].notebookview-wrapper .notebook-viewarea[data-pagelevel="2"] .notebook-pagetitle h1 {
  font-size: 180%;
  max-width: 34em; }
